com.holonplatform.vaadin.flow.components.builders

## Interface HtmlComponentConfigurator<C extends HtmlComponentConfigurator<C>>

- Type Parameters:
    `C` - Concrete configurator type
  All Superinterfaces:
    ComponentConfigurator<C>, HasElementConfigurator<C>, HasSizeConfigurator<C>, HasStyleConfigurator<C>, HasTitleConfigurator<C>
  All Known Subinterfaces:
    LabelBuilder<L>, LabelConfigurator<L,C>, LabelConfigurator.BaseLabelConfigurator<L>, NativeButtonBuilder, ViewComponentAdapterBuilder<T>, ViewComponentBuilder<T>, ViewComponentConfigurator<T,C>

      public interface HtmlComponentConfigurator<C extends HtmlComponentConfigurator<C>>
      extends ComponentConfigurator<C>, HasSizeConfigurator<C>, HasStyleConfigurator<C>, HasTitleConfigurator<C>

  Configurator for `HtmlComponent` components type.
  Since:
    5.2.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `FULL_SIZE`

  - ### Method Summary

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `elementConfiguration, hidden, id, visible, withAttachListener, withDetachListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasElementConfigurator

      `withEventListener, withEventListener, withThemeName`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `fullHeight, fullSize, fullWidth, height, height, heightUndefined, maxHeight, maxWidth, minHeight, minWidth, sizeUndefined, width, width, widthUndefined`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `styleName, styleNames`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasTitleConfigurator

      `description, description, description, title, title, title`

Copyright © 2019 The Holon Platform. All rights reserved.